Bug 236712 - yum-kernel-module breaks yum
yum-kernel-module breaks yum
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 04:53 EDT by Valent Turkovic
Modified: 2014-01-21 17:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 02:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2007-04-17 04:53:29 EDT
Description of problem:
after installing yum-kernel-modules yum breaks and stops working.

Version-Release number of selected component (if applicable):
latest for fedora7

How reproducible:
every time

Steps to Reproduce:
1. install yum plugin yum-kernel-module
2. yum update
3.
  
Actual results:
# yum upgrade
Loading "skip-broken" plugin
Loading "refresh-updatesd" plugin
Loading "installonlyn" plugin
Loading "kernel-module" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Setting up Upgrade Process
Resolving Dependencies
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 135, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 543, in
buildTransaction
    self.plugins.run('preresolve')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 162, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kernel-module.py", line 60, in preresolve_hook
    instpkgs = conduit.getRpmDB().getPackages()
AttributeError: 'RPMDBPackageSack' object has no attribute 'getPackages'


Expected results:
yum to work

Additional info:
Comment 1 Valent Turkovic 2007-04-17 04:55:03 EDT
after 'rpm -e yum-kernel-module' yum works ok.

here is the copy/paste:

# yum upgrade
Loading "skip-broken" plugin
Loading "refresh-updatesd" plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Setting up Upgrade Process
primary.sqlite.bz2        100% |=========================| 2.2 MB    00:05     
Resolving Dependencies
--> Running transaction check
Checking deps for portmap.i386 0-4.0-65.3 - None
---> Package rpcbind.i386 0:0.1.4-4.fc7 set to be updated
Checking deps for rpcbind.i386 0-0.1.4-4.fc7 - u
Checking deps for rpcbind.i386 0-0.1.4-2.fc7 - None
--> Processing Dependency: portmap >= 4.0 for package: nfs-utils
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 rpcbind                 i386       0.1.4-4.fc7      development        45 k
     replacing  portmap.i386 4.0-65.3


Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 45 k
Is this ok [y/N]: 

Comment 2 Tim Lauridsen 2007-04-20 02:49:26 EDT
This issue is fixed in yum-utils-1.1.2 currently in Extras Development

Note You need to log in before you can comment on or make changes to this bug.